<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">


<link rel="stylesheet" href="CSS/bootstrap.css">
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="CSS/datatables.css">
<script src="JS/DataTables.js"></script>
<link href='http://fonts.googleapis.com/css?family=Nunito:400,300'
	rel='stylesheet' type='text/css'>


<title>Travel Expense Planner</title>
</head>
<body>
 <nav class="navbar navbar-inverse">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="http://localhost:8080/TravelExpensePlanner/adminpage.html">Travel Expense Planner</a>
    </div>

    <!-- Collect the nav links, forms, and other content for toggling -->
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
				<ul class="nav navbar-nav">
					<li></li>
					<li class="dropdown"><a href="#" class="dropdown-toggle"
						data-toggle="dropdown" role="button" aria-haspopup="true"
						aria-expanded="false">RESERVATIONS <span class="caret"></span></a>
						<ul class="dropdown-menu">
							<li class="active"><a
								href="/TravelExpensePlanner/travelreservation.html">View all
									reservations</a></li>
							<li><a href="/TravelExpensePlanner/addreservation.html">Add
									new</a></li>
						</ul></li>

					<li class="dropdown"><a href="#" class="dropdown-toggle"
						data-toggle="dropdown" role="button" aria-haspopup="true"
						aria-expanded="false">HR<span class="caret"></span></a>
						<ul class="dropdown-menu">
							<li><a href="/TravelExpensePlanner/employees.html">Employees
							</a></li>
							<li><a href="/TravelExpensePlanner/managers.html">Managers</a></li>
							<li><a href="/TravelExpensePlanner/accountants.html">Accountants</a></li>
						</ul></li>
				</ul>

				<ul class="nav navbar-nav navbar-right">
        <li><a href="http://localhost:8080/TravelExpensePlanner/">LOG OUT</a></li>
      </ul>
    </div><!-- /.navbar-collapse -->
  </div><!-- /.container-fluid -->
</nav>
	<div class="bigTable">
		<h1>Reservations and Bookings</h1>
		<table id="example" class="display responsive" cellspacing="0" width="90%">
			<thead>
				<tr style="font-size: 14px">
					<th>First name</th>
					<th>Last Name</th>
					<th>Departure From</th>
					<th>Destination</th>
					<th>Start date</th>
					<th>End date</th>
					<th>Trip description</th>
					<th>Estimated Cost</th>
					<th></th>
					<th></th>
					<th></th>
				</tr>
			</thead>
			<tbody id="reservationsTableBody">
			</tbody>
		</table>
	<div class="col col-xs-6 text-right">
				<a href="/TravelExpensePlanner/addreservation.html"
					class="btn btn-sm btn-primary btn-create">Add new reservation</a>
			</div>


	</div>
	<!-- !!! EDIT RESERVATION, HIDDEN !!! -->
	<!-- Modal -->

	<div id="myModal" class="modal fade" role="dialog"
		aria-labelledby="reservationModalLabel">
		<div class="modal-dialog">
			<div class="modal-dialog" role="document">
				<!-- Modal content-->
				<div class="modal-content">
					<div class="modal-body">

						<div class="panel panel-default">
							<div class="panel-heading">
								<h3 class="panel-title">Edit Reservation</h3>
							</div>
							<div class="panel-body">
								<div class="newReservationData">
									<form method="post" role="form" data-toggle="validator"
										id="userForm">
										<fieldset>
											<div class="form-group">
												<label for="id" class="control-label"></label> <input
													type="hidden" class="form-control" id="id" name="id"
													required /><label for="firstName" class="control-label">First
													Name: </label> <input type="text" class="form-control"
													id="firstName" name="firstName" required /> <label
													for="lastName" class="control-label">Last Name: </label> <input
													type="text" class="form-control" id="lastName"
													name="lastName" required /><label for="departure"
													class="control-label">Departure From: </label> <input
													type=text class="form-control" id="departure"
													name="departure" placeholder="City, Country" required /> <label
													for="destination" class="control-label">Destination:
												</label> <input type="text" class="form-control" id="destination"
													name="destination" placeholder="City, Country" required /><label
													for="startDate" class="control-label">Start Date: </label>
												<input type="text" class="form-control" id="startDate"
													name="startDate" placeholder="dd/mm/yyyy" /><label
													for="endDate" class="control-label">End Date: </label> <input
													type="text" class="form-control" id="endDate"
													name="endDate" placeholder="dd/mm/yyyy" /><label
													for="transportationType" class="control-label">Transportation
													Type:</label> <select id="transportationType"
													name="transportationType" class="form-control">

													<option value="Bus">Bus</option>
													<option value="Car">Car</option>
													<option value="Plane">Plane</option>
													<option value="Ship">Ship</option>
													<option value="Train">Train</option>
													<option value="Other">Other</option>
												</select> <label for="transportationCost" class="control-label">Transportation
													Cost: </label> <input type="text" class="form-control"
													pattern="[0-9]{1,}" id="transportationCost"
													name="transportationCost"
													placeholder="Enter the value without €" required /> <label
													for="accommodation" class="control-label">Accommodation:
												</label> <input type="text" class="form-control" id="accommodation"
													name="accommodation" /> <label for="accommodationCost"
													class="control-label">Accommodation Cost: </label> <input
													type="text" class="form-control" pattern="[0-9]{1,}"
													id="accommodationCost" name="accommodationCost"
													placeholder="Enter the value without €" required /> <label
													for="tripDescription" class="control-label">Trip
													Description: </label>
												<textarea class="form-control" id="tripDescription"
													name="tripDescription" placeholder="Purpose of your trip"
													maxlength="180" required></textarea>
												<div class="form-group">
													<button type="button" class="btn btn-lg btn-success"
														style="width: 33.3333333%" value="Edit"
														onClick="updateReservation()">Edit</button>
												</div>
											</div>
										</fieldset>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>



	<!-- investigate modal -->
	<div id="myModal2" class="modal fade" role="dialog"
		aria-labelledby="reservationModalLabel">
		<div class="modal-dialog">
			<div class="modal-dialog" role="document">
				<!-- Modal content-->
				<div class="modal-content">
					<div class="modal-body">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h3 class="panel-title">Add new report</h3>
							</div>
							<div class="panel-body">
								<div class="newReservationData">
									<form method="post" role="form" data-toggle="validator"
										id="userForm">
										<fieldset>
											<div class="form-group">
												<label for="id2" class="control-label"></label> <input
													type="hidden" class="form-control" id="id2" name="id"
													required /><label for="firstName" class="control-label">First
													Name: </label> <input type="text" class="form-control"
													id="firstName2" name="firstName" required disabled /> <label
													for="lastName" class="control-label">Last Name: </label> <input
													type="text" class="form-control" id="lastName2"
													name="lastName" required disabled /><label for="departure"
													class="control-label">Departure From: </label> <input
													type=text class="form-control" id="departure2"
													name="departure" placeholder="City, Country" required
													disabled /> <label for="destination" class="control-label">Destination:
												</label> <input type="text" class="form-control" id="destination2"
													name="destination" placeholder="City, Country" required
													disabled /><label for="startDate" class="control-label">Start
													Date: </label> <input type="text" class="form-control"
													id="startDate2" name="startDate" placeholder="dd/mm/yyyy"
													disabled /><label for="endDate" class="control-label">End
													Date: </label> <input type="text" class="form-control"
													id="endDate2" name="endDate" placeholder="dd/mm/yyyy"
													disabled /> <label for="transportationType"
													class="control-label">Transportation Type:</label> <select
													id="transportationType2" name="transportationType"
													class="form-control">

													<option value="Bus">Bus</option>
													<option value="Car">Car</option>
													<option value="Plane">Plane</option>
													<option value="Ship">Ship</option>
													<option value="Train">Train</option>
													<option value="Other">Other</option>
												</select> <label for="transportationCost" class="control-label">Transportation
													Cost: </label> <input type="text" class="form-control"
													pattern="[0-9]{1,}" id="transportationCost2"
													name="transportationCost"
													placeholder="Enter the value without €" required /> <label
													for="accommodation" class="control-label">Accommodation:
												</label> <input type="text" class="form-control" id="accommodation2"
													name="accommodation" /> <label for="accommodationCost"
													class="control-label">Accommodation Cost: </label> <input
													type="text" class="form-control" pattern="[0-9]{1,}"
													id="accommodationCost2" name="accommodationCost"
													placeholder="Enter the value without €" required /> <label
													for="tripDescription" class="control-label">Trip
													Description: </label>
												<textarea class="form-control" id="tripDescription2"
													name="tripDescription" placeholder="Purpose of your trip"
													maxlength="180" required></textarea>
												<div class="form-group">
													<button type="button" class="btn btn-lg btn-success"
														style="margin-top: 20px" value="Edit"
														onClick="updateReservation()">Edit</button>
												</div>

											</div>
										</fieldset>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<script src="JS/SubmitReservation.js"></script>
</body>
</html>